Update checklist

Update checklist. See the OpenAPI-defined parameters, request body, and responses below.

PUT /Checklist/{id}

Update checklist. See the OpenAPI-defined parameters, request body, and responses below.

OpenAPI description: Este endpoint atualiza os dados de um checklist existente identificado pelo id.

Authentication

Authentication required. Send your user API key in the X-API-Key header.

Parameters

NameLocationTypeRequiredDescriptionConstraints
idpathinteger · int32Yes——

Request body

Content type: application/json · Schema: ChecklistDto

PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
namestringNo—nullable
codestringNo—nullable
enablebooleanNo——
agentIdinteger · int32No——

Example request

curl --request PUT \
  --url 'https://api.zild.ai/Checklist/{id}' \
  --header 'X-API-Key: YOUR_USER_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "id": 0,
  "name": "string",
  "code": "string",
  "enable": true,
  "agentId": 0
}'

Responses

StatusDescriptionResponse body
200Checklist atualizado com sucessoNo response body is defined.

Data models

ChecklistDto
PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
namestringNo—nullable
codestringNo—nullable
enablebooleanNo——
agentIdinteger · int32No——